Subject: Re: [PATCH v4 01/22] fsck.h: update FSCK_OPTIONS_* for object_name

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Mar 2021 13:04:40 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> In other words, would you mind using the `--thread=shallow` option in the
>> future, for better structuring on the mailing list?
>
> Not at all, I've set it in my config now.
>
> I've just been using the default configuration of format-patch
> --in-reply-to --cover-letter && send-email *.patch all this time.
> ...
> So I wonder if I'm using some different process from the norm, or if
> most everyone else is just looking carefully at Message-ID/In-Reply-To
> norms before sending...

Interesting.  I always let send-email assign the message IDs and
haven't used --thread=<any> option at all.  In other words, my
format-patch output files have no message IDs in them or In-reply-to
header fields.  That in turn means that in-reply-to is decided not
when format-patch is run, but when send-email sends things out, it
gives them the ids and structures the in-reply-to chains.

I guess we have too much flexibility in our tooling X-<.